<template>
	<div class="header_box">
		<div class="header_title">审批人选择</div>
		<el-input
			style="width: 280px; margin-bottom: 16px"
			:placeholder="placeholder"
			v-model="searchValue"
			@input="handleInput"
		>
			<!-- suffix-icon="el-icon-search" -->
			<template #append>
				<div style="cursor: pointer" @click="handleSearchClick">
					<i class="el-icon-search" />
				</div>
			</template>
		</el-input>
		<!-- 请输入员工手机号码或名称快速搜索 -->
	</div>
</template>

<script setup>
import { ref } from 'vue';
const searchValue = ref(null);
const porps = defineProps({
	placeholder: {
		type: String,
	},
	handleSearchClick: {
		type: Function,
	},
});
const emits = defineEmits(['handleSearchClick']);

const handleSearchClick = () => {
	emits('handleSearchClick', searchValue.value);
};

defineExpose({
	searchValue,
});
</script>

<style lang="scss" scoped>
@import '../../index.scss';
</style>
